# You can customize the GUI here. Every single item is 100% customizable, including
# their slot numbers, custom model data, custom base64 strings for heads, etc.

# The default config uses Yaml Anchors so you don't have to define the same item
# over and over again. I wrote a tiny explanation about them here:
# https://wiki.jeff-media.com/books/general-information/page/yaml-anchors

# Items can be defined inside the "items" section using the following values:
#   material: DIAMOND
#   display-name: "My Diamond"
#   lore:
#     - "First line"
#     - "Second line, etc."
#     - "&cRed line"
#     - "<#ff0000>Red hex color"
#     - "<#ff0000>Hex gradient<#/ffffff>"
#   amount: 1
#   base64: "<base64 string for player heads>"
#   custom-model-data: 2
#   damage: 0
#   enchantments:
#     unbreaking: 3
#     efficiency: 5
#   commands:
#     player:
#       - "say Hello" # command that will be run as the player
#     console:
#       - "tell {player} Hello" # command that will be run as the console

# You can then reference the item in the "slots" section using their defined name.

title: "<#000000>&l[<#007700>&lChest<#339933>&lSort<#000000>&l] &rSettings"
size: 45
items:
  autosorting-enabled:
    display-name: &autosorting-name "<#2e86c1>&lAutomatic Sorting<#/85c1e9>"
    material: PLAYER_HEAD
    base64: &base64-enabled "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvNWZmMzE0MzFkNjQ1ODdmZjZlZjk4YzA2NzU4MTA2ODFmOGMxM2JmOTZmNTFkOWNiMDdlZDc4NTJiMmZmZDEifX19"
    lore:
      - &lore-enabled "<#229954>&lEnabled<#/7dcea0>"
      - &autosorting-lore-1 "<#d5dbdb>Automatically sorts all chests,"
      - &autosorting-lore-2 "<#d5dbdb>barrels etc when you use them."
  autosorting-disabled:
    display-name: *autosorting-name
    material: PLAYER_HEAD
    base64: &base64-disabled "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvNGU0YjhiOGQyMzYyYzg2NGUwNjIzMDE0ODdkOTRkMzI3MmE2YjU3MGFmYmY4MGMyYzViMTQ4Yzk1NDU3OWQ0NiJ9fX0="
    lore:
      - &lore-disabled "<#a93226>&lDisabled<#/e74c3c>"
      - *autosorting-lore-1
      - *autosorting-lore-2
  autosorting-nopermission: &nopermission
    display-name: *autosorting-name
    material: BARRIER
    lore:
      - "<#a93226>No Permission<#/e74c3c>"


  autoinvsorting-enabled:
    display-name: &autoinvsorting-name "<#2e86c1>&lAutomatic Inventory Sorting<#/85c1e9>"
    material: PLAYER_HEAD
    base64: *base64-enabled
    lore:
      - *lore-enabled
      - &autoinvsorting-lore-1 "<#d5dbdb>Automatically sorts your player"
      - &autoinvsorting-lore-2 "<#d5dbdb>inventory when you open it."
  autoinvsorting-disabled:
    display-name: *autoinvsorting-name
    material: PLAYER_HEAD
    base64: *base64-disabled
    lore:
      - *lore-disabled
      - *autoinvsorting-lore-1
      - *autoinvsorting-lore-2
  autoinvsorting-nopermission:
    <<: *nopermission
    display-name: *autoinvsorting-name


  shiftclick-enabled:
    display-name: &shiftclick-name "<#2e86c1>&lShift-Click<#/85c1e9>"
    material: PLAYER_HEAD
    base64: *base64-enabled
    lore:
      - *lore-enabled
      - &shiftclick-lore-1 "<#d5dbdb>Sorts an inventory using Shift-click"
      - &shiftclick-lore-2 "<#d5dbdb>on an empty slot."
  shiftclick-disabled:
    display-name: *shiftclick-name
    material: PLAYER_HEAD
    base64: *base64-disabled
    lore:
      - *lore-disabled
      - *shiftclick-lore-1
      - *shiftclick-lore-2
  shiftclick-nopermission:
    <<: *nopermission
    display-name: *shiftclick-name


  middleclick-enabled:
    display-name: &middleclick-name "<#2e86c1>&lMiddle-Click<#/85c1e9>"
    material: PLAYER_HEAD
    base64: *base64-enabled
    lore:
      - *lore-enabled
      - &middleclick-lore-1 "<#d5dbdb>Sorts an inventory using Middle-click"
      - &middleclick-lore-2 "<#d5dbdb>(mousewheel) on any slot."
  middleclick-disabled:
    display-name: *middleclick-name
    material: PLAYER_HEAD
    base64: *base64-disabled
    lore:
      - *lore-disabled
      - *middleclick-lore-1
      - *middleclick-lore-2
  middleclick-nopermission:
    <<: *nopermission
    display-name: *middleclick-name


  doubleclick-enabled:
    display-name: &doubleclick-name "<#2e86c1>&lDouble-Click<#/85c1e9>"
    material: PLAYER_HEAD
    base64: *base64-enabled
    lore:
      - *lore-enabled
      - &doubleclick-lore-1 "<#d5dbdb>Sorts an inventory using Double-click"
      - &doubleclick-lore-2 "<#d5dbdb>on an empty slot."
  doubleclick-disabled:
    display-name: *doubleclick-name
    material: PLAYER_HEAD
    base64: *base64-disabled
    lore:
      - *lore-disabled
      - *doubleclick-lore-1
      - *doubleclick-lore-2
  doubleclick-nopermission:
    <<: *nopermission
    display-name: *doubleclick-name


  shiftrightclick-enabled:
    display-name: &shiftrightclick-name "<#2e86c1>&lShift-Right-Click<#/85c1e9>"
    material: PLAYER_HEAD
    base64: *base64-enabled
    lore:
      - *lore-enabled
      - &shiftrightclick-lore-1 "<#d5dbdb>Sorts an inventory using Shift-Right-click"
      - &shiftrightclick-lore-2 "<#d5dbdb>on an empty slot."
  shiftrightclick-disabled:
    display-name: *shiftrightclick-name
    material: PLAYER_HEAD
    base64: *base64-disabled
    lore:
      - *lore-disabled
      - *shiftrightclick-lore-1
      - *shiftrightclick-lore-2
  shiftrightclick-nopermission:
    <<: *nopermission
    display-name: *shiftrightclick-name


  outside-enabled:
    display-name: &outside-name "<#2e86c1>&lLeft-Click Block<#/85c1e9>"
    material: PLAYER_HEAD
    base64: *base64-enabled
    lore:
      - *lore-enabled
      - &outside-lore-1 "<#d5dbdb>Sorts a chest, barrel etc. by"
      - &outside-lore-2 "<#d5dbdb>left-clicking it."
  outside-disabled:
    display-name: *outside-name
    material: PLAYER_HEAD
    base64: *base64-disabled
    lore:
      - *lore-disabled
      - *outside-lore-1
      - *outside-lore-2
  outside-nopermission:
    <<: *nopermission
    display-name: *outside-name


  leftclick-enabled:
    display-name: &leftclick-name "<#2e86c1>&lFill Chest<#/85c1e9>"
    material: PLAYER_HEAD
    base64: *base64-enabled
    lore:
      - *lore-enabled
      - &leftclick-lore-1 "<#d5dbdb>Fill a chest with matching items by"
      - &leftclick-lore-2 "<#d5dbdb>left-clicking outside the opened inventory."
      - &leftclick-lore-3 "<#d5dbdb>Fill a chest with all items (except your"
      - &leftclick-lore-4 "<#d5dbdb>hotbar) by double-left-clicking outside"
      - &leftclick-lore-5 "<#d5dbdb>the opened inventory."
  leftclick-disabled:
    display-name: *leftclick-name
    material: PLAYER_HEAD
    base64: *base64-disabled
    lore:
      - *lore-disabled
      - *leftclick-lore-1
      - *leftclick-lore-2
      - *leftclick-lore-3
      - *leftclick-lore-4
      - *leftclick-lore-5
  leftclick-nopermission:
    <<: *nopermission
    display-name: *leftclick-name


  rightclick-enabled:
    display-name: &rightclick-name "<#2e86c1>Empty Chest<#/85c1e9>"
    material: PLAYER_HEAD
    base64: *base64-enabled
    lore:
      - *lore-enabled
      - &rightclick-lore-1 "<#d5dbdb>Take matching items from a chest by"
      - &rightclick-lore-2 "<#d5dbdb>right-clicking outside the opened"
      - &rightclick-lore-3 "<#d5dbdb>inventory. Take all items from a chest"
      - &rightclick-lore-4 "<#d5dbdb>by double-left-clicking outside the"
      - &rightclick-lore-5 "<#d5dbdb>opened inventory"
  rightclick-disabled:
    display-name: *rightclick-name
    material: PLAYER_HEAD
    base64: *base64-disabled
    lore:
      - *lore-disabled
      - *rightclick-lore-1
      - *rightclick-lore-2
      - *rightclick-lore-3
      - *rightclick-lore-4
      - *rightclick-lore-5
  rightclick-nopermission:
    <<: *nopermission
    display-name: *rightclick-name


slots:
  0: &placeholder
    material: BLACK_STAINED_GLASS_PANE
    display-name: "&a" # Prevents showing the item's name
  1: *placeholder
  2: *placeholder
  3: *placeholder
  4: *placeholder
  5: *placeholder
  6: *placeholder
  7: *placeholder
  8: *placeholder

  9: *placeholder
  10: *placeholder
  11: autosorting
  12: *placeholder
  13: *placeholder
  14: *placeholder
  15: autoinvsorting
  16: *placeholder
  17: *placeholder

  18: *placeholder
  19: shiftclick
  20: *placeholder
  21: middleclick
  22: *placeholder
  23: doubleclick
  24: *placeholder
  25: shiftrightclick
  26: *placeholder

  27: *placeholder
  28: *placeholder
  29: leftclick
  30: *placeholder
  31: outside
  32: *placeholder
  33: rightclick
  34: *placeholder
  35: *placeholder

  36: *placeholder
  37: *placeholder
  38: *placeholder
  39: *placeholder
  40: *placeholder
  41: *placeholder
  42: *placeholder
  43: *placeholder
  44: *placeholder

  45: *placeholder
  46: *placeholder
  47: *placeholder
  48: *placeholder
  49: *placeholder
  50: *placeholder
  51: *placeholder
  52: *placeholder
  53: *placeholder